Skip to content

This page describes Revolution release 149.

Search these docs, or ask Revo a question — answers link the pages they came from.

Updates a device pool


PUT
/api/v1/{tenantId}/system/device-pools/{poolId}

Plugin API access: this operation accepts a plugin JWT (PluginBearer) for its own tenant.

poolId
required
string
tenantId
required
string
object
id
string
nullable
name
string
nullable
description
string
nullable
locations
Array<object>
nullable
object
name
string
nullable
locationId
string
nullable

OK

object
id
string
nullable
name
string
nullable
description
string
nullable
locations
Array<object>
nullable
object
name
string
nullable
locationId
string
nullable

Bad Request

object
message
string
nullable
code
string
nullable
retryable
boolean
nullable
field
string
nullable
data
nullable

Too Many Requests

object
message
string
nullable
code
string
nullable
retryable
boolean
nullable
field
string
nullable
data
nullable

Service Unavailable

object
message
string
nullable
code
string
nullable
retryable
boolean
nullable
field
string
nullable
data
nullable

Gateway Timeout

object
message
string
nullable
code
string
nullable
retryable
boolean
nullable
field
string
nullable
data
nullable